Subject: hooks/post-receive-email bug?

From: Marc Branchaud <[email-masked]>
Date: Wed, 17 Jun 2009 18:21:34 -0400

Hi all,

We currently have two main development branches: master and release.  These branches exist on our shared git server.  I had to make a change in both branches, so I made a topic branch off of their merge-base and did the work:

  o--o--A--B--C		<-- origin/master
     |\
     | X--Y		<-- origin/release
      \
       1--2--3		<-- topic

I then merged topic into both master and release.  The merges were clean:

  o--o--A--B--C---D	<-- master
     |\           |
     | X--Y----Z /	<-- release
      \       / /
       1--2--3--	<-- topic

Then I did
	git push origin
to push matching refspecs to the origin repo.

port-receive-email sent two messages for that push, one for each branch.  Each message showed that commits 1, 2 and 3 were applied to the appropriate branch:

	The branch, release has been updated
	       via  hash for Z (commit)
	       via  hash for 3 (commit)
	       via  hash for 2 (commit)
	       via  hash for 1 (commit)
	      from  hash for Y (commit)

However, the details of the topic commits were missing from both messages.  Instead, both only contained the details of the merge commits D and Z.

I was expecting at least one of the messages to have the details of commits 1, 2 and 3.  Was I wrong to expect that?

Thanks,

		M.